#ifndef CUSTOM_LED_H_
#define CUSTOM_LED_H_

#include "main.h"

//#define LED_WARNING(x) x.LED_WARNING_MODE=1; x.LED_EMERGENCY_MODE=0; x.INSUFFICIENT_POWER_LEVEL=0
//#define LED_EMERGENCY(x) x.LED_WARNING_MODE=0; x.LED_EMERGENCY_MODE=1; x.INSUFFICIENT_POWER_LEVEL=0
//#define LED_STABLE(x) x.LED_WARNING_MODE=0; x.LED_EMERGENCY_MODE=0; x.INSUFFICIENT_POWER_LEVEL=0

//#define toMega(x) x/1000000
//#define toKilo(x) x/1000

//struct flags
//{
//	unsigned INSUFFICIENT_POWER_LEVEL : 1;
//	
//	unsigned LED_EMERGENCY_MODE : 1;
//	unsigned LED_WARNING_MODE : 1;
//	unsigned LED_WARNING_POSITION : 1;
//};

void LED_Init(void);
void LED_Power_Less(void);
void LED_Check(float R);
uint16_t LED_Mode(void);
#endif
